﻿namespace XHWK.Model
{
    /// <summary>
    /// 服务地址模型
    /// </summary>
    public class ModelServiceAddress
    {
        public string id;
        public string createname;
        public string page;
        public string pageSize;
        public string caid;
        public string cloudid;

        public string createtime;
        public string cloudname;
        public string cloudcode;
        public string cloudstate;

        /// <summary>
        /// 外网接口地址
        /// </summary>
        public string wapi;
        /// <summary>
        /// 外网文件上传地址
        /// </summary>
        public string wfile;
        /// <summary>
        /// 外网文件下载地址
        /// </summary>
        public string wdown;
        /// <summary>
        /// 外网直播回放地址
        /// </summary>
        public string wlive;

        /// <summary>
        /// 内网接口地址
        /// </summary>
        public string napi;
        /// <summary>
        ///内网文件上传地址
        /// </summary>
        public string nfile;
        /// <summary>
        ///内网文件下载地址
        /// </summary>
        public string ndown;
        /// <summary>
        ///内网直播回放地址
        /// </summary>
        public string nlive;
    }
}
