﻿using System.Collections.Generic;

namespace XHWK.Model
{
    public class ModelWkData
    {
        private string _wkName;
        private List<ModelVideo> _videoList;
        private string _wkPath;
        private string _wkCreateDateTime;
        private string _drawDataPath;
        /// <summary>
        /// 微课名
        /// </summary>
        public string WkName { get => _wkName; set => _wkName = value; }

        /// <summary>
        /// 视频列表
        /// </summary>
        public List<ModelVideo> VideoList { get => _videoList; set => _videoList = value; }

        /// <summary>
        /// 微课路径
        /// </summary>
        public string WkPath { get => _wkPath; set => _wkPath = value; }
        /// <summary>
        /// 微课时间
        /// </summary>
        public string WkCreateDateTime { get => _wkCreateDateTime; set => _wkCreateDateTime = value; }
        /// <summary>
        /// 画板数据存储路径
        /// </summary>
        public string DrawDataPath { get => _drawDataPath; set => _drawDataPath = value; }
    }
}
